Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QSeqFactory.QSeq

    java.lang.Object
      |
      +--com.jxml.quick.QBaseFilter
            |
            +--com.jxml.quick.QFilterFactory.QFilter
                  |
                  +--com.jxml.quick.QListFactory.QList
                        |
                        +--com.jxml.quick.QSeqFactory.QSeq

Enclosing class:
  QSeqFactory

public class QSeqFactory.QSeq
extends QListFactory.QList

Fields inherited from class com.jxml.quick.QListFactory.QList
`filters`

Fields inherited from class com.jxml.quick.QFilterFactory.QFilter
`context`

Constructor Summary
`QSeqFactory.QSeq()`

Method Summary
`void` | `endDocument()`
`void` | `endElement(String name, String text, boolean cdata)`
`void` | `startDocument()`
`void` | `startElement(String name)`
`void` | `walk(Object object, QContext outputContext)`

Methods inherited from class com.jxml.quick.QListFactory.QList
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSeqFactory.QSeq

    public QSeqFactory.QSeq()
                     throws QE

Method Detail

### startDocument

    public void startDocument()
                       throws QPE

  Overrides:
    `startDocument` in class `QBaseFilter`

### endDocument

    public void endDocument()
                     throws QPE

  Overrides:
    `endDocument` in class `QBaseFilter`

### startElement

    public void startElement(String name)
                      throws QPE

  Overrides:
    `startElement` in class `QBaseFilter`

### endElement

    public void endElement(String name,
                           String text,
                           boolean cdata)
                    throws QPE

  Overrides:
    `endElement` in class `QBaseFilter`

### walk

    public void walk(Object object,
                     QContext outputContext)
              throws QPE

  Overrides:
    `walk` in class `QBaseFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD